<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 10/16/2003 *
 * ===================                          Last change: 04/03/2004 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : what-logout.php                                  *
 * -------------------------------------------------------------------- *
 * Short description : Logout from member's area                        *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Aus dem Mitgliesbereich ausloggen                *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} elseif (!isMember()) {
	redirectToIndexMemberOnlyModule();
}

// Base URL for redirection (both cases)
$URL = 'modules.php?module=index&amp;code=';

if (destroyMemberSession()) {
	// Remove theme cookie as well
	if (isExtensionActive('theme')) setTheme('');

	// Logout completed
	$URL .= getCode('LOGOUT_DONE');
} else {
	// Cannot logout! :-(
	$URL .= getCode('LOGOUT_FAILED');
}

// Load the URL
redirectToUrl($URL);

// [EOF]
?>
